aboutsummaryrefslogtreecommitdiffstats
path: root/package/iproute2/files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2012-04-16 15:04:42 +0000
committerJo-Philipp Wich <jow@openwrt.org>2012-04-16 15:04:42 +0000
commita3ce874ed1e5a8f24ad356a2f4381676e6cf77fd (patch)
tree2793fb44eb15b5d29618894278f89935354f69e9 /package/iproute2/files
parentb9f03a5a14decfc1677b365842e8172bf7d6ec68 (diff)
downloadmaster-187ad058-a3ce874ed1e5a8f24ad356a2f4381676e6cf77fd.tar.gz
master-187ad058-a3ce874ed1e5a8f24ad356a2f4381676e6cf77fd.tar.bz2
master-187ad058-a3ce874ed1e5a8f24ad356a2f4381676e6cf77fd.zip
iproute2: Add hotplug script to add slave devices to TEQL master
Resolves https://dev.openwrt.org/ticket/11192 Signed-off-by: David Woodhouse <dwmw2@infradead.org> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@31311 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/iproute2/files')
-rw-r--r--package/iproute2/files/30-teql23
1 files changed, 23 insertions, 0 deletions
diff --git a/package/iproute2/files/30-teql b/package/iproute2/files/30-teql
new file mode 100644
index 0000000000..231c09fa7b
--- /dev/null
+++ b/package/iproute2/files/30-teql
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. /etc/functions.sh
+
+if [ "$ACTION" != "ifup" ]; then
+ exit
+fi
+
+config_load network
+
+config_get teql $INTERFACE teql
+
+if [ "$teql" != "" ]; then
+ logger Adding device $DEVICE to TEQL master $teql
+ insmod sch_teql
+ tc qdisc add dev $DEVICE root $teql
+
+ # The kernel doesn't let us bring it up until it has at least one
+ # slave. So bring it up now, if it isn't already.
+ if ! cat /sys/class/net/$teql/carrier &>/dev/null; then
+ ifup $teql &
+ fi
+fi